Package org.eclipse.birt.report.engine.content

# Interface IGroupContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IContainerContent`, `IContent`, `IElement`, `IStyledElement`

All Known Subinterfaces:
  `IListGroupContent`, `ITableGroupContent`

public interface IGroupContent extends IContainerContent
Provides interfaces for Group Content.

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.content.IContent

`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`IBandContent`
`getFooter()`
Get the footer of the group.
`String`
`getGroupID()`
Get the unique id of the group.
`int`
`getGroupLevel()`
Get the level of the group.
`IBandContent`
`getHeader()`
Get the header of the group.
`boolean`
`isHeaderRepeat()`
Return the indication that the group header is repeated or not.
`void`
`setGroupID(String groupId)`
Set the unique id of the group.
`void`
`setHeaderRepeat(boolean repeat)`
Set the value if the group header is repeated.

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IContent

`accept, cloneContent, getACL, getAltText, getAltTextKey, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTagType, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setAltText, setAltTextKey, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTagType, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Method Details

### isHeaderRepeat

boolean isHeaderRepeat()
Return the indication that the group header is repeated or not.

Returns:
  if the group header is repeated.

  `true`, the group header is repeated. `false`, the group header is not repeated.

### setHeaderRepeat

void setHeaderRepeat(boolean repeat)
Set the value if the group header is repeated. if `repeat` is true, the group header needs to be repeat. Or, `repeat` is false, the group header does not need to be repeat.

Parameters:
  `repeat` - if the group header is repeated.

### getHeader

IBandContent getHeader()
Get the header of the group.

Returns:
  the header of the group. Return `null` if the group does not have a header.

### getFooter

IBandContent getFooter()
Get the footer of the group.

Returns:
  the footer of the group. Return `null` if the group does not have a header.

### getGroupID

String getGroupID()
Get the unique id of the group.

Returns:
  the unique id of the group.

### setGroupID

void setGroupID(String groupId)
Set the unique id of the group.

Parameters:
  `groupId` - the id of the group.

### getGroupLevel

int getGroupLevel()
Get the level of the group. The default level of the group is `0`

Returns:
  the level of the group.